property my, IncrementValue, HomePosX, HomePosY, friction, ratio, dragging, speedX, speedY, Engaged01, Engaged02, Disengaged01, Disengaged02
global whoIsOccupying

on beginSprite me
  Initialize(me)
end

on Initialize me
  my = me.spriteNum
  sprite(my).moveableSprite = 1
  if my = 151 then
    HomePosX = 60
    HomePosY = 24
  else
    if my = 152 then
      HomePosX = 100
      HomePosY = 24
    else
      if my = 153 then
        HomePosX = 140
        HomePosY = 24
      else
        if my = 154 then
          HomePosX = 180
          HomePosY = 24
        else
          if my = 155 then
            HomePosX = 220
            HomePosY = 24
          else
            if my = 156 then
              HomePosX = 260
              HomePosY = 24
            end if
          end if
        end if
      end if
    end if
  end if
  friction = 0.69999999999999996
  ratio = 0.29999999999999999
  dragging = 0
  speedX = 0
  speedY = 0
  if whoIsOccupying <> 0 then
    set the locH of sprite whoIsOccupying to 526
    set the locV of sprite whoIsOccupying to 19
    set the blend of sprite whoIsOccupying to 0
    puppetSprite(150, 1)
    set the ink of sprite 150 to 36
    set the memberNum of sprite 150 to the number of member "transition08"
    set the locH of sprite 150 to the locH of sprite whoIsOccupying
    set the locV of sprite 150 to the locV of sprite whoIsOccupying
  end if
end

on exitFrame me
  update(me)
end

on update me
  if whoIsOccupying <> my then
    if dragging = 0 then
      speedX = (speedX * friction) + ((HomePosX - sprite(my).locH) * ratio)
      speedY = (speedY * friction) + ((HomePosY - sprite(my).locV) * ratio)
      sprite(my).locH = sprite(my).locH + speedX
      sprite(my).locV = sprite(my).locV + speedY
    end if
  end if
end

on mouseEnter me
  if my = 151 then
    sprite(141).visible = 1
  else
    if my = 152 then
      sprite(142).visible = 1
    else
      if my = 153 then
        sprite(143).visible = 1
      else
        if my = 154 then
          sprite(144).visible = 1
        else
          if my = 155 then
            sprite(145).visible = 1
          else
            if my = 156 then
              sprite(146).visible = 1
            end if
          end if
        end if
      end if
    end if
  end if
  cursor(280)
end

on mouseLeave me
  if my = 151 then
    sprite(141).visible = 0
  else
    if my = 152 then
      sprite(142).visible = 0
    else
      if my = 153 then
        sprite(143).visible = 0
      else
        if my = 154 then
          sprite(144).visible = 0
        else
          if my = 155 then
            sprite(145).visible = 0
          else
            if my = 156 then
              sprite(146).visible = 0
            end if
          end if
        end if
      end if
    end if
  end if
  cursor(-1)
end

on mouseDown me
  dragging = 1
  repeat while the stillDown
    sprite(my).locH = the mouseH
    sprite(my).locV = the mouseV
    sprite(my).blend = 100
    if whoIsOccupying = my then
      sprite(150).visible = 0
    end if
    updateStage()
  end repeat
  if whoIsOccupying = my then
    if inside(point(the mouseH, the mouseV), the rect of sprite 140) then
      sprite(150).visible = 1
      sprite(my).blend = 0
    end if
  end if
end

on mouseUp me
  if whoIsOccupying = my then
    if inside(point(the mouseH, the mouseV), the rect of sprite 140) = 0 then
      if my = 151 then
        Disengaged01 = "TrailerDisengaged01"
        Disengaged02 = "TrailerDisengaged02"
        disengagedWarning(me)
      else
        if my = 152 then
          Disengaged01 = "ProfileDisengaged01"
          Disengaged02 = "ProfileDisengaged02"
          disengagedWarning(me)
        else
          if my = 153 then
            Disengaged01 = "PhotoDisengaged01"
            Disengaged02 = "PhotoDisengaged02"
            disengagedWarning(me)
          else
            if my = 154 then
              Disengaged01 = "SoundtrackDisengaged01"
              Disengaged02 = "SoundtrackDisengaged02"
              disengagedWarning(me)
            else
              if my = 155 then
                Disengaged01 = "SoundtrackDisengaged01"
                Disengaged02 = "SoundtrackDisengaged02"
                disengagedWarning(me)
              else
                if my = 156 then
                  Disengaged01 = "VGDisengaged01"
                  Disengaged02 = "VGDisengaged02"
                  disengagedWarning(me)
                end if
              end if
            end if
          end if
        end if
      end if
      whoIsOccupying = 0
      dragging = 0
    end if
  else
    if whoIsOccupying = 0 then
      if inside(point(the mouseH, the mouseV), the rect of sprite 140) then
        sprite(my).locH = 526
        sprite(my).locV = 19
        updateStage()
        sprite(my).blend = 0
        sprite(150).visible = 1
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition01"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition02"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition03"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition04"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition05"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition06"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition07"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        puppetSprite(150, 1)
        set the ink of sprite 150 to 36
        set the memberNum of sprite 150 to the number of member "transition08"
        set the locH of sprite 150 to sprite(my).locH
        set the locV of sprite 150 to sprite(my).locV
        startTimer()
        repeat while the timer < 5
          updateStage()
        end repeat
        whoIsOccupying = my
        if my = 151 then
          Engaged01 = "TrailerEngaged01"
          Engaged02 = "TrailerEngaged02"
          engagedWarning(me)
          play movie "Ryan-Main"
        else
          if my = 152 then
            Engaged01 = "ProfileEngaged01"
            Engaged02 = "ProfileEngaged02"
            engagedWarning(me)
            play movie "Ryan-Profile"
          else
            if my = 153 then
              Engaged01 = "PhotoEngaged01"
              Engaged02 = "PhotoEngaged02"
              engagedWarning(me)
              play movie "Ryan-Photogallery"
            else
              if my = 154 then
                Engaged01 = "SoundtrackEngaged01"
                Engaged02 = "SoundtrackEngaged02"
                engagedWarning(me)
                play movie "Ryan-Soundtrack"
              else
                if my = 155 then
                  Engaged01 = "PuzzleEngaged01"
                  Engaged02 = "PuzzleEngaged02"
                  engagedWarning(me)
                  play movie "Ryan-Puzzle"
                else
                  if my = 156 then
                    Engaged01 = "VGEngaged01"
                    Engaged02 = "VGEngaged02"
                    engagedWarning(me)
                    play movie "Ryan-Vehicles&Gear"
                  end if
                end if
              end if
            end if
          end if
        end if
      else
        dragging = 0
        sprite(my).blend = 100
      end if
    else
      dragging = 0
      sprite(my).blend = 100
    end if
  end if
end

on engagedWarning me
  puppetSound(1, "engager")
  i = 1
  repeat while i < 5
    puppetSprite(170, 1)
    set the memberNum of sprite 170 to the number of member Engaged01
    set the ink of sprite 170 to 36
    set the loc of sprite 170 to point(400, 240)
    startTimer()
    repeat while the timer < 15
      updateStage()
    end repeat
    puppetSprite(170, 1)
    set the memberNum of sprite 170 to the number of member Engaged02
    set the ink of sprite 170 to 36
    set the loc of sprite 170 to point(400, 240)
    startTimer()
    repeat while the timer < 15
      updateStage()
    end repeat
    i = i + 1
  end repeat
  puppetSprite(170, 0)
end

on disengagedWarning me
  puppetSound(1, "engager")
  i = 1
  repeat while i < 5
    puppetSprite(170, 1)
    set the memberNum of sprite 170 to the number of member Disengaged01
    set the ink of sprite 170 to 36
    set the loc of sprite 170 to point(400, 240)
    startTimer()
    repeat while the timer < 15
      updateStage()
    end repeat
    puppetSprite(170, 1)
    set the memberNum of sprite 170 to the number of member Disengaged02
    set the ink of sprite 170 to 36
    set the loc of sprite 170 to point(400, 240)
    startTimer()
    repeat while the timer < 15
      updateStage()
    end repeat
    i = i + 1
  end repeat
  puppetSprite(170, 0)
end
